跳至內容

Wan · v2.7 · Image to Video

整合

模型 id wan/v2.7/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/wan/v2.7/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.75 750 API 點數 · ≈ ₽80.48 在此頁面執行

取得 API 金鑰
Alibaba 圖像轉影片 唇形同步2–15 秒最高 1080p #stylized#transform#lipsync

將首幀影像製作成 2-15 秒片段,支援選用末幀、影片延續和音訊

在 Doitong 上製作

Doitong 社群使用 Wan27 製作的公開作品。一鍵重複使用提示詞。

顯示的公開作品:3
Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-аним... 影片

Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-анимация, весёлый водитель в кепке, крупные машины, пастельные цвета. 0:00–0:10 приветствие под музыку; 0:10–0:30 песенка: "Машина едет би-би, би-би", "Поезд едет ту-ту, ту-ту". Бодрая детская музыка...

Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-аним... 影片

Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-анимация, тот же весёлый водитель в кепке, самолёт. 0:00–0:15 песенка: "Самолёт летит вж-ж-ж, вж-ж-ж"; 0:15–0:25 интерактивная пауза: водитель спрашивает "Как гудит машина?", пауза; 0:25–0:30 финальный...

# PROMPT: Animated Mother’s Day greeting card **Format:** vertical video 9:16 **Duration:** 12–15... 影片

# PROMPT: Animated Mother’s Day greeting card **Format:** vertical video 9:16 **Duration:** 12–15 seconds **Style:** high‑quality Pixar‑inspired 3D animation, cinematic, warm, emotional, charming animated movie aesthetic. ### The main character is a child Use the attached image as the only and...

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

要建立的影片描述,限 5000 個字元。

duration 5 s

生成影片的長度,單位為秒,範圍為 2 到 15。

resolution 預設 1080p

生成影片的解析度等級。

進階 negative_prompt · image · end_image · video · audio · seed · enable_prompt_expansion · enable_safety_checker

影片應排除的內容,限制為 500 個字元。

image_url
拖放檔案,或

指向起始影格圖像的 URL,檔案上限為 20 MB。接受的格式:JPEG、JPG、PNG、BMP、WEBP。

end_image_url
拖放檔案,或

使用第一個與最後一個影格生成影片時的結束圖像 URL;限制與 `image_url` 相同。

video_url
拖放檔案,或

提供要延續其動作之片段的 URL;只能使用此輸入或 image_url,不能同時使用。片段必須為 MP4 或 MOV,長度為 2–10 秒,且檔案大小不得超過 100 MB。

audio_url
拖放檔案,或

透過指向 WAV 或 MP3 檔案的 URL 提供驅動音訊,長度為 2–30 秒,且不超過 15 MB。

用於產生可重現結果的隨機種子,範圍為 0 至 2147483647。

POST /run/wan/v2.7/image-to-video?wait=20 報價 → $0.75
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/wan/v2.7/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Wan · v2.7 · Image to Video

將靜態影像轉換為影片片段。將 `image_url` 作為首幀,也可選擇 `end_image_url` 定義末幀,或提供 `video_url`(2-10s)延續現有片段,而不使用影像。`audio_url` 可使用 WAV 或 MP3 音訊驅動片段。長度為 2 到 15 秒,解析度為 720p 或 1080p,提示詞最多 5000 個字元。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt選填
類型string | null
要建立的影片描述,限 5000 個字元。
image_url選填 image
類型url · image
指向起始影格圖像的 URL,檔案上限為 20 MB。接受的格式:JPEG、JPG、PNG、BMP、WEBP。
end_image_url選填 end_image
類型url · image
使用第一個與最後一個影格生成影片時的結束圖像 URL;限制與 `image_url` 相同。
video_url選填 video
類型url · video
提供要延續其動作之片段的 URL;只能使用此輸入或 image_url,不能同時使用。片段必須為 MP4 或 MOV,長度為 2–10 秒,且檔案大小不得超過 100 MB。
audio_url選填 audio
類型url · audio
透過指向 WAV 或 MP3 檔案的 URL 提供驅動音訊,長度為 2–30 秒,且不超過 15 MB。
resolution選填
類型enum
預設值1080p
720p1080p
生成影片的解析度等級。
duration選填
類型enum
預設值5
23456789101112131415
生成影片的長度,單位為秒,範圍為 2 到 15。
negative_prompt選填
類型string | null
影片應排除的內容,限制為 500 個字元。
enable_prompt_expansion選填
類型boolean
預設值true
啟用提示詞的智慧重寫。
seed選填
類型integer | null
用於產生可重現結果的隨機種子,範圍為 0 至 2147483647。
enable_safety_checker選填
類型boolean
預設值true
對輸入和輸出進行審核;除非帳戶獲得停用權限且關閉此選項,否則每個請求都會強制執行。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan/v2.7/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 750,
    "usd": "0.75",
    "charged": 750,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42,
    "actual_prompt": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}生成產生的影片檔案。
seed
integer生成期間套用的種子值。
actual_prompt
string | null啟用提示詞改寫時實際套用的提示詞。

更多模型:圖像轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/wan/v2.7/image-to-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt